--- old/usr/src/uts/common/sys/proc.h	2013-04-07 23:57:52.580382839 +0000
+++ new/usr/src/uts/common/sys/proc.h	2013-04-07 23:57:52.592923475 +0000
@@ -673,15 +673,8 @@
 
 /* thread function prototypes */
 
-extern	kthread_t	*thread_create(
-	caddr_t		stk,
-	size_t		stksize,
-	void		(*proc)(),
-	void		*arg,
-	size_t		len,
-	proc_t 		*pp,
-	int		state,
-	pri_t		pri);
+extern	kthread_t *thread_create(caddr_t, size_t, void (*)(), void *,
+    size_t, proc_t *, int, pri_t);
 extern	void	thread_exit(void) __NORETURN;
 extern	void	thread_free(kthread_t *);
 extern	void	thread_rele(kthread_t *);
@@ -721,17 +714,9 @@
 
 /* lwp function prototypes */
 
-extern kthread_t *lwp_kernel_create(proc_t *, void (*)(), void *, int, pri_t);
-extern	klwp_t 		*lwp_create(
-	void		(*proc)(),
-	caddr_t		arg,
-	size_t		len,
-	proc_t		*p,
-	int		state,
-	int		pri,
-	const k_sigset_t *smask,
-	int		cid,
-	id_t		lwpid);
+extern	kthread_t *lwp_kernel_create(proc_t *, void (*)(), void *, int, pri_t);
+extern	klwp_t	*lwp_create(void (*)(), caddr_t, size_t, proc_t *, int, int,
+    const k_sigset_t *, int, id_t);
 extern	kthread_t *idtot(proc_t *, id_t);
 extern	void	lwp_hash_in(proc_t *, lwpent_t *, tidhash_t *, uint_t, int);
 extern	void	lwp_hash_out(proc_t *, id_t);
